Last modified: 2013-03-06 09:31:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35467 - Write docu/how-to for Windows with a GUI client
Write docu/how-to for Windows with a GUI client
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-03-25 14:40 UTC by Raimond Spekking
Modified: 2013-03-06 09:31 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Raimond Spekking 2012-03-25 14:40:43 UTC
Besides bug 35145 (Make git-review more easy to install on Windows) we need a good how-to for Windows user with a GUI client.

Currently all docu is about working with the command line interface.

Which Windows GUI works well with git-review? And how-to?

Some screenhots which show the standard workflow of clone/branch/commit/pull/push/git-review would be a good start.
Comment 1 Andre Klapper 2012-12-10 08:57:39 UTC
Should probably be merged with https://www.mediawiki.org/wiki/Git/Graphical_User_Interfaces
Comment 2 Antoine "hashar" Musso (WMF) 2013-02-01 13:03:36 UTC
This is a doc bug (block 1) and enhancement
Comment 3 Quim Gil 2013-03-05 23:28:24 UTC
There is something I don't understand. Our instructions for any platform are command-line based, except Gerrit reviews that are done for on a web interface. git and git-review are command line tools.

We have instructions to install and run the tools needed on Windows. There are Git GUI clients for Windows out there. Gerrit seems to have some problems with Explorer but it is possible to install Firefox or Chrome.

To me this looks like a WONTFIX, because we won't work on any GUI improvements for Git or git-review on Windows - or any other platform. Other projects out there might find this task interesting.

Do you agree? Sorry if I misunderstood your request.
Comment 4 Chad H. 2013-03-06 01:52:45 UTC
I've always read this bug as "Figure out and describe how to use Gerrit with TortoiseGit."

This is not something I've ever intended to do, so I'd probably agree with WONTFIX.
Comment 5 Andre Klapper 2013-03-06 09:31:13 UTC
(In reply to comment #3)
> Gerrit seems to have some problems with Explorer

Should be mostly fixed now, according to bug 41559.

> To me this looks like a WONTFIX

Let's do it.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links